import { type AppShellPageProps, useNavigate } from "@tailor-platform/app-shell";
import { useEffect } from "react";

const UserManagementPage = () => {
  const navigate = useNavigate();
  useEffect(() => {
    void navigate("/user-management/user", { replace: true });
  }, [navigate]);
  return null;
};

UserManagementPage.appShellPageProps = {
  meta: {
    title: "User Management",
  },
  guards: [],
} satisfies AppShellPageProps;

export default UserManagementPage;
